package com.fjhx.sale.controller.after;

import org.springframework.web.bind.annotation.*;
import com.fjhx.sale.entity.after.dto.AfterSalesRecordsDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.sale.service.after.AfterSalesRecordsService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 售后跟进记录 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
@RestController
@RequestMapping("/afterSalesRecords")
public class AfterSalesRecordsController {

    @Autowired
    private AfterSalesRecordsService afterSalesRecordsService;

    /**
     * 售后跟进记录新增
     */
    @PostMapping("/add")
    public void add(@RequestBody AfterSalesRecordsDto afterSalesRecordsDto) {
        afterSalesRecordsService.add(afterSalesRecordsDto);
    }

    /**
     * 售后跟进记录编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody AfterSalesRecordsDto afterSalesRecordsDto) {
        afterSalesRecordsService.edit(afterSalesRecordsDto);
    }

    /**
     * 售后跟进记录删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        afterSalesRecordsService.delete(dto.getId());
    }

}
