package com.fjhx.sale.entity.after.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 售后跟进记录
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
@Getter
@Setter
@TableName("after_sales_records")
public class AfterSalesRecords extends BasePo {

    /**
     * 售后id
     */
    private Long afterSalesId;

    /**
     * 跟进时间
     */
    private Date followUpTime;

    /**
     * 跟进用户id
     */
    private Long followUpUserId;

    /**
     * 说明
     */
    private String remark;

}
