package com.fjhx.sale.service.after;

import com.fjhx.sale.entity.after.po.AfterSalesDetail;
import com.ruoyi.common.core.service.BaseService;
import com.fjhx.sale.entity.after.vo.AfterSalesDetailVo;
import com.fjhx.sale.entity.after.dto.AfterSalesDetailSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;

/**
 * <p>
 * 售后明细 服务类
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
public interface AfterSalesDetailService extends BaseService<AfterSalesDetail> {

    /**
     * 售后明细列表
     */
    List<AfterSalesDetailVo> getList(AfterSalesDetailSelectDto dto);

    List<AfterSalesDetailVo> getList(IWrapper wrapper);
}
